---
title: "Update a record of a Tulip Table"
slug: "update-a-record-of-a-tulip-table"
updated: 2026-04-02T17:37:08Z
published: 2026-04-02T17:37:27Z
---

> ## Documentation Index
> Fetch the complete documentation index at: https://support.tulip.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a record of a Tulip Table

Put/tables/{tableId}/records/{recordId}

Updates the fields of a record in a Tulip Table by the record id. The record's `_updatedAt` field will be updated to the current time.

Requires the `tables:write` API key scope.

SecurityHTTPType basic

Access to the Tulip API requires the use of [HTTP Basic Authentication](https://datatracker.ietf.org/doc/html/rfc7617) using the credentials of an active [Tulip API Token](https://support.tulip.co/docs/set-up-a-tulip-api). All requests require the `Authorization` HTTP header with the `Basic` scheme to provide API credentials unless otherwise noted.

API tokens can be configured with a set of *scopes* which determine what parts of the API that specific token has access to. Security best practices dictate that API credentials be given the minimum set of capabilities required to fulfill their intended purpose. For example, an API token created for use in an integration that is only designed to use the Tables API should probably only be given the `tables:read` and `tables:write` scopes. In this way you can minimize risk in the event that API credentials are compromised. API endpoints will document what API token scopes are required to access that endpoint in their descriptions. If a request is made to an endpoint with an API token which does not have the required scopes, the response will be an authorization error.

Header parametersX-Tulip-Number-Formatstring

The format that Tulip should use in the response when formatting Tulip numbers. If omitted or set to `float`, Tulip will format numbers as JSON numbers. If set to `decimal`, Tulip will format numbers as strings representing the decimal representation of the number, like `&quot;1.20&quot;`. Tulip will only output trailing zeros when using `decimal` formatting.

This header only affects the response format. The value written is determined solely by the request body (see body description).

Note that this header only affects Tulip numbers. Other types, including Tulip integers, are unaffected.

Valid values[
  "decimal",
  "float"
]Default"float"

Path parameterstableIdstringRequired

The id of a Tulip Table.

Pattern^[a-zA-Z0-9_]+$Exampleg56RCoZCtzv7borvp
recordIdstringRequired

The id of a Tulip Table record.

Pattern^[\S]+( +[\S]+)*$Examplea record id

Body parameters

The updated Tulip Table record. The field names must match column names of the Table. Any fields not included in the request will not be updated. The `id` field may be included, but its value must match the existing `id` of the record.

For Tulip number fields (*not* integer fields), you may specify values as either JSON numbers or strings. If specifying numbers as strings, they must be of format `&quot;[-]xx[.yyy]&quot;`. This corresponds to the JSON number format, except that the exponent component is not allowed (in other words, you cannot use scientific notation). Numbers specified as strings will be stored with full allowed precision (up to 20 digits to the right of the decimal place), including trailing zeros. Numbers specified as JSON numbers will not include trailing zeros.

<select class='api-response-data' aria-label='Media type'><option value='ad4286e9-7e87-465b-8f32-5273a68cfcdb'>application/json</option>
</select>object  

Responses200

The Tulip Table record was updated successfully. The details of the updated Table record are returned in the response.

<select class='api-response-data' aria-label='Media type'><option value='fca2bf8d-0475-4e58-b287-23dd59ba61ad'>application/json</option>
</select>object  

A single record stored in a Tulip Table. The record object will include the names and values of all columns of the Table that are not hidden, in addition to the record's sequence number, created timestamp, and last updated timestamp.

Example{
  "_sequenceNumber": 15,
  "_createdAt": "2019-02-08T20:16:31Z",
  "_updatedAt": "2019-02-08T20:16:31Z",
  "id": "bike-a",
  "ahvbb_model_number": "AAA",
  "auznd_color": "blue",
  "irrip_completed": true,
  "umiyk_durability_test_duration": 123000
}_sequenceNumberinteger    

A monotonically increasing unique identifier for this record.

_createdAtstring  (date-time)    
_updatedAtstring  (date-time)    

400

The request was malformed. This could mean that headers, query parameters, or the request body was unable to be parsed or had unexpected values.

<select class='api-response-data' aria-label='Media type'><option value='ae9d3fbb-fd9c-425c-959e-027c64c885da'>application/json</option>
</select>object  errorCodestring    
errorUniqueIDstring    Pattern^[a-zA-Z0-9+/]+$Exampleaq21mSKC1rbO87TjC/4Hz2EJHd/v+jxf7MtC315vo0Y
detailsstring    

401

The request was made unauthorized. HTTP Basic Authorization using a Tulip API Key is required for use of the API.

<select class='api-response-data' aria-label='Media type'><option value='50c24e5f-ed0b-4f33-a7a8-861786837559'>application/json</option>
</select>object  errorCodestring    
errorUniqueIDstring    Pattern^[a-zA-Z0-9+/]+$Exampleaq21mSKC1rbO87TjC/4Hz2EJHd/v+jxf7MtC315vo0Y
detailsstring    

403

The provided authentication info was rejected. The response will provide additional details.

<select class='api-response-data' aria-label='Media type'><option value='edc27133-6c9a-4668-879c-1ad0f5bbf4c5'>application/json</option>
</select>object  errorCodestring    
errorUniqueIDstring    Pattern^[a-zA-Z0-9+/]+$Exampleaq21mSKC1rbO87TjC/4Hz2EJHd/v+jxf7MtC315vo0Y
detailsstring    

404

The requested database entry was not found.

<select class='api-response-data' aria-label='Media type'><option value='48eea748-ae58-4050-9cb9-272efba9e2f3'>application/json</option>
</select>object  errorCodestring    
errorUniqueIDstring    Pattern^[a-zA-Z0-9+/]+$Exampleaq21mSKC1rbO87TjC/4Hz2EJHd/v+jxf7MtC315vo0Y
detailsstring    

422

The request was malformed. This could mean that headers, query parameters, or the request body was unable to be parsed or had unexpected values.

<select class='api-response-data' aria-label='Media type'><option value='7b02f9f4-d3c8-4ff0-92c3-f6ec3e226249'>application/json</option>
</select>object  errorCodestring    
errorUniqueIDstring    Pattern^[a-zA-Z0-9+/]+$Exampleaq21mSKC1rbO87TjC/4Hz2EJHd/v+jxf7MtC315vo0Y
detailsstring    

500

The server encountered an unexpected error.

<select class='api-response-data' aria-label='Media type'><option value='5ed1c3fa-a3c2-4c3f-9baa-c17374e75be3'>application/json</option>
</select>object  errorCodestring    
errorUniqueIDstring    Pattern^[a-zA-Z0-9+/]+$Exampleaq21mSKC1rbO87TjC/4Hz2EJHd/v+jxf7MtC315vo0Y
detailsstring
